#ifndef __TEST_SESSION_TESTS_H__
#define __TEST_SESSION_TESTS_H__

#include <QDebug>
#include <QTest>

#include <hws.h>

namespace test
{
    class SessionTests : public QObject
    {
    Q_OBJECT

    public:
        SessionTests();

    private slots:
        //--------------------------------------------------------------------
        // Tests
        //--------------------------------------------------------------------

        void copyConstructable();

        void assignable();

    private:
        //--------------------------------------------------------------------
        // Helper methods
        //--------------------------------------------------------------------

        hws::Session createSession();

        void verifyDefaultSession(const hws::Session & s);

    };
}

#endif // __TEST_SESSION_TESTS_H__
